Name:		canl-java
Version:	2.2.0
Release:	1%{?dist}
Summary:	EMI Common Authentication library - bindings for Java

#		The main parts of the code are BSD
#		Parts derived from glite security utils java are Apache 2.0
#		Parts derived from bouncycastle are MIT
#		Parts derived from Apache Commons IO are Apache 2.0
#		See LICENSE.txt for details
License:	BSD and ASL 2.0 and MIT
URL:		https://github.com/eu-emi/%{name}/
Source0:	https://github.com/eu-emi/%{name}/archive/canl-%{version}.tar.gz
#		Disable tests that require network connections
Patch0:		%{name}-test.patch
BuildArch:	noarch

BuildRequires:	maven-local
BuildRequires:	mvn(commons-io:commons-io)
BuildRequires:	mvn(junit:junit)
BuildRequires:	mvn(org.bouncycastle:bcpkix-jdk15on) >= 1.52
BuildRequires:	mvn(org.bouncycastle:bcprov-jdk15on) >= 1.52

%description
This is the Java part of the EMI caNl -- the Common Authentication Library.

%package javadoc
Summary:	Javadoc documentation for %{name}

%description javadoc
Javadoc documentation for EMI caNl.

%prep
%setup -q -n %{name}-canl-%{version}
%patch0 -p1

# Remove maven-wagon-webdav-jackrabbit dependency
%pom_xpath_remove pom:build/pom:extensions

# GPG signing requires a GPG key
%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin

# Avoid build dependency bloat
%pom_remove_parent

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%doc API-Changes.txt README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Aug 05 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.2.0-1
- Update to 2.2.0 - requires bouncycastle 1.52 (Fedora 23+)
- Drop patches no longer needed with new version

* Sat Jul 11 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.1.1-3
- Adapt to bouncycastle 1.52 (Fedora 23+)
- Implement new license packaging guidelines

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Oct 13 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.1.1-1
- New upstream version

* Wed Jun 11 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.1.0-3
- Fix test that fails when using OpenJDK 1.8 (patch from upstream git)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 06 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.1.0-1
- New upstream version

* Thu Mar 13 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.0-2
- Use upstream's fix for the failing test

* Fri Feb 28 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.0-1
- Update to version 2.0.0 to support newer bouncycastle

* Fri Feb 28 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.3.1-1
- New upstream version

* Wed Nov 27 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.3.0-1
- New upstream version

* Sun Aug 18 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2.1-1
- New upstream version
- Use xmvn instead of mvn-rpmbuild

* Fri May 17 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2.0-1
- New upstream version
- Drop canl-java-java7.patch (fixed upstream)

* Thu Feb 14 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.0-1
- Initial Fedora build
